Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface PresentationTemplate

All Superinterfaces:
  Document, Editable, EditableItem, Hierarchical, Item, Localized, WCMApiObject, WorkflowedDocument

    public interface PresentationTemplate

extends Editable, WorkflowedDocument, Hierarchical

Represents a Presentation Template in the repository.

A `PresentationTemplate` is a template for how a Web Page will look when rendered.

`Site` and `SiteArea` objects enable an `AuthoringTemplate` to be mapped to a `PresentationTemplate`. This mapping will then determine the design and default properties of a Web Page.

Method Summary
`java.lang.String` | `getHTML()` Returns the HTML contained in this Presentation Template as a `String`.
`void` | `setHTML(java.lang.String html)` Sets the HTML contained in this `PresentationTemplate` from the specified `html` argument.

Methods inherited from interface com.ibm.workplace.wcm.api.Editable
`addAuthors, addContributorAccessMembers, addDeleteAccessMembers, addEditAccessMembers, addEditorAccessMembers, addHistoryLogEntry, addLiveAccessMembers, addManagerAccessMembers, addMembersForAccess, addOwners, addReadAccessMembers, addUserAccessMembers, isChanged, removeAuthors, removeContributorAccessMembers, removeDeleteAccessMembers, removeEditAccessMembers, removeEditorAccessMembers, removeLiveAccessMembers, removeManagerAccessMembers, removeMembersForAccess, removeOwners, removeReadAccessMembers, removeUserAccessMembers, setContributorAccessInheritance, setDescriptionTextProviderKey, setDescriptionTextProviderName, setEditorAccessInheritance, setInheritance, setManagerAccessInheritance, setPropagation, setTitleTextProviderKey, setTitleTextProviderName, setUserAccessInheritance`

Methods inherited from interface com.ibm.workplace.wcm.api.Document
`getAuthors, getContributorAccessMembers, getCreator, getDeleteAccessMembers, getDescription, getDescriptionTextProviderKey, getDescriptionTextProviderName, getEditAccessMembers, getEditorAccessMembers, getHistoryLog, getId, getInheritedContributorAccessMembers, getInheritedEditorAccessMembers, getInheritedManagerAccessMembers, getInheritedUserAccessMembers, getLastModifier, getLiveAccessMembers, getManagerAccessMembers, getMembersForAccess, getMembersForInheritedAccess, getOwnerLibrary, getOwners, getProject, getReadAccessMembers, getSourceWorkspace, getTitle, getTitleTextProviderKey, getTitleTextProviderName, getUserAccessMembers, getVersionCatalog, getVersionStrategy, hasDeleteAccess, hasDeleteAccess, hasEditAccess, hasEditAccess, hasLiveAccess, hasLiveAccess, hasProject, hasReadAccess, hasReadAccess, isContributorAccessInherited, isEditorAccessInherited, isInherited, isManagerAccessInherited, isNew, isPropagated, isUserAccessInherited, isWorkflowed`

Methods inherited from interface com.ibm.workplace.wcm.api.Item
`getCreationDate, getDescription, getIdentity, getModifiedDate, getName, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Methods inherited from interface com.ibm.workplace.wcm.api.EditableItem
`setDescription, setName, setTitle`

Methods inherited from interface com.ibm.workplace.wcm.api.WorkflowedDocument
`addAdditionalViewers, addApprovers, approve, cancelDraftDocument, clearApprovers, createDraftDocument, decline, decline, getAdditionalViewers, getCurrentApprovers, getDateEnteredStage, getEffectiveDate, getExpiryDate, getGeneralDateOne, getGeneralDateTwo, getPendingWorkflowStatus, getPublishedDate, getPublishedId, getWorkflowId, getWorkflowStageId, getWorkflowStatus, hasApproverAccess, hasApproverAccess, hasDraft, isDraft, isDraftOfPublishedDocument, isExpired, isPublished, isWorkflowMovingBackward, nextWorkflowStage, nextWorkflowStage, nextWorkflowStage, previousWorkflowStage, previousWorkflowStage, removeAdditionalViewers, removeApprovers, restartWorkflow, setEffectiveDate, setExpiryDate, setGeneralDateOne, setGeneralDateTwo, setWorkflowId, setWorkflowId`

Methods inherited from interface com.ibm.workplace.wcm.api.Hierarchical
`getParentId`

Method Detail

### getHTML

    java.lang.String getHTML()

  Returns the HTML contained in this Presentation Template as a `String`.

  Returns an empty `String` if the HTML could not be retrieved.

  Returns:
    the HTML

### setHTML

    void setHTML(java.lang.String html)
                 throws OperationFailedException

  Sets the HTML contained in this `PresentationTemplate` from the specified `html` argument.

  Note. This method replaces any existing HTML in this Presentation Template. It does not append to existing HTML. Existing images will be removed, new images will be added.

  Parameters:
    `html` - the HTML
  Throws:
    `OperationFailedException` - if the string argument is `null` or the HTML could not be set

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD